libwps: WPSMemoryStream Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# WPSMemoryStream Class Reference

`#include <WPSStreamImplementation.h>`

Inheritance diagram for WPSMemoryStream:

List of all members.

## Public Member Functions
| WPSMemoryStream (const char *data, const unsigned int dataSize)
| ~WPSMemoryStream ()
const uint8_t * | read (size_t numBytes, size_t &numBytesRead)
long | tell ()
int | seek (long offset, WPX_SEEK_TYPE seekType)
bool | atEOS ()
bool | isOLEStream ()
WPXInputStream * | getDocumentOLEStream (const char *name)
WPXInputStream * | getDocumentOLEStream ()
## Private Member Functions
| WPSMemoryStream (const WPSMemoryStream &)
WPSMemoryStream & | operator= (const WPSMemoryStream &)
## Private Attributes
WPSMemoryStreamPrivate * | d

## Constructor & Destructor Documentation

WPSMemoryStream::WPSMemoryStream | ( | const char * | data,
|  | const unsigned int | dataSize |
| ) |  |  |

WPSMemoryStream::~WPSMemoryStream | ( |  | ) |

WPSMemoryStream::WPSMemoryStream | ( | const WPSMemoryStream & |  | ) | `[private]`

## Member Function Documentation

const uint8_t * WPSMemoryStream::read | ( | size_t | numBytes,
|  | size_t & | numBytesRead |
| ) |  |  | `[virtual]`

Implements WPSInputStream.

long WPSMemoryStream::tell | ( |  | ) | `[virtual]`

Implements WPSInputStream.

int WPSMemoryStream::seek | ( | long | offset,
|  | WPX_SEEK_TYPE | seekType |
| ) |  |  | `[virtual]`

Implements WPSInputStream.

bool WPSMemoryStream::atEOS | ( |  | ) | `[virtual]`

Implements WPSInputStream.

bool WPSMemoryStream::isOLEStream | ( |  | ) | `[virtual]`

Implements WPSInputStream.

WPXInputStream * WPSMemoryStream::getDocumentOLEStream | ( | const char * | name | ) | `[virtual]`

Implements WPSInputStream.

WPXInputStream * WPSMemoryStream::getDocumentOLEStream | ( |  | ) | `[virtual]`

Implements WPSInputStream.

WPSMemoryStream& WPSMemoryStream::operator= | ( | const WPSMemoryStream & |  | ) | `[private]`

## Member Data Documentation

WPSMemoryStreamPrivate* WPSMemoryStream::d`[private]`

The documentation for this class was generated from the following files:

- WPSStreamImplementation.h
- WPSStreamImplementation.cpp